Subject: Re: [PowerPC] Next May 8 boot failure: OOPS during ibmveth moduleinit

From: Stephen Rothwell <[email-masked]>
Date: Tue, 12 May 2009 17:04:58 +1000

Hi all,

On Mon, 11 May 2009 22:37:09 +0530 Sachin Sant <[email-masked]> wrote:
>
> Jiri Pirko wrote:
> > Fri, May 08, 2009 at 09:57:22PM CEST, [email-masked] wrote:
> >   
> >> From: Sachin Sant <[email-masked]>
> >> Date: Fri, 08 May 2009 18:22:48 +0530
> >>
> >>     
> >>> Todays Next failed to boot on a Power6 JS22 blade with following oops.
> >>>       
> >> Jiri, I suspect this might be your address list changes.
> >>
> >> Although that's just a guess.  But please take a look.
> >>     
> >
> > Hmm, only thing I see might cause the problem would be if calling __hw_addr_add
> > in dev_addr_init fails, then dev->dev_addr would contain zeroes (which looks
> > this is not the case). But in this case the oops would appear earlier (in
> > ibmveth_probe dev_addr memcpy).
> >
> > Will do the patch which checks the result to behave correctly in case of oom
> > but this imho this wouldn't help. Strange, I will dig into this more tomorrow.

Bisected down to:

commit f001fde5eadd915f4858d22ed70d7040f48767cf
Author: Jiri Pirko <[email-masked]>
Date:   Tue May 5 02:48:28 2009 +0000

    net: introduce a list of device addresses dev_addr_list (v6)

I can reproduce this at will on the last three linux-next trees.
-- 
Cheers,
Stephen Rothwell                    [email-masked]
http://www.canb.auug.org.au/~sfr/